{% extends 'base.html.twig' %}

{% block main_content %}
<div class="container mb-5">
    <div class="mt-4 row justify-content-center">
        <div class="col-12 pt-2 pb-2 rounded white">
            <h2>{{ selected_title|trans }}</h2>
            {% if gifts is empty %}
                <p>Vous n'avez sélectioné aucun cadeau pour le moment, la sélection se fait <a href="{{ path('list_select') }}">ici</a>.</p>
            {% else %}
                <ol class="m-0 p-2 border border-orange rounded">
                {% for data in gifts %}
                    {% if data.gift is defined %}
                        {% set gift = data.gift %}
                        <li class="mb-2">
                            <span class="green-text text-capitalize">{{ gift.name }}</span> -
                            <span class="amber-text text-capitalize bold">{{ gift.user.username }}</span>{% if gift.link is not empty%} -
                            <a target="blank" class="blue-text" href="{{ gift.link }}">Lien par ici</a>
                            {% endif %}
                            {% if data.users is defined %}
                            {% set santas = '' %}
                            {% for i, user in data.users %}
                                {% set tmpUser = '<i class="' ~ user.iconColor ~ ' ' ~ user.icon ~ '"></i> <span class="indigo-text text-capitalize">' ~ user.username ~ '</span>' %}
                                {% set santas = i == 0 ? tmpUser : santas ~ ', ' ~ tmpUser %}
                            {% endfor %}
                            <br/>Santa(s) en commun({{ santas|raw }})
                            {% endif %}
                        </li>
                    {% endif %}
                {% endfor %}
                </ol>
            {% endif %}
        </div>
    </div>
</div>
{% endblock %}
